#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Library to enforce positional or key-word arguments
Summary(pl.UTF-8):	Biblioteka wymuszająca argumenty pozycyjne lub nazwane
Name:		python-positional
Version:	1.2.1
Release:	10
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/p/positional/positional-%{version}.tar.gz
# Source0-md5:	4afcffd8e2ba733fd7a50f137a2ee893
URL:		https://pypi.org/project/positional/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-pbr >= 1.8
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-fixtures >= 1.3.1
BuildRequires:	python-mimeparse
BuildRequires:	python-testrepository >= 0.0.18
BuildRequires:	python-testresources >= 0.2.4
BuildRequires:	python-testtools >= 1.4.0
BuildRequires:	python-wrapt >= 1.8
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-pbr >= 1.8
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-fixtures >= 1.3.1
BuildRequires:	python3-mimeparse
BuildRequires:	python3-testrepository >= 0.0.18
BuildRequires:	python3-testresources >= 0.2.4
BuildRequires:	python3-testtools >= 1.4.0
BuildRequires:	python3-wrapt >= 1.8
%endif
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
positional provides a decorator which enforces only some args may be
passed positionally. The idea and some of the code was taken from the
oauth2 client of the google-api client.

%description -l pl.UTF-8
Moduł positional dostarcza dekorator wymuszający, aby tylko część
argumentów mogła być przekazana jako pozycyjne. Idea i część kodu
pochodzi z klienta oauth2 klienta google-api.

%package -n python3-positional
Summary:	Library to enforce positional or key-word arguments
Summary(pl.UTF-8):	Biblioteka wymuszająca argumenty pozycyjne lub nazwane
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-positional
positional provides a decorator which enforces only some args may be
passed positionally. The idea and some of the code was taken from the
oauth2 client of the google-api client.

%description -n python3-positional -l pl.UTF-8
Moduł positional dostarcza dekorator wymuszający, aby tylko część
argumentów mogła być przekazana jako pozycyjne. Idea i część kodu
pochodzi z klienta oauth2 klienta google-api.

%package apidocs
Summary:	API documentation for Python positional module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona positional
Group:		Documentation

%description apidocs
API documentation for Python positional module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona positional.

%prep
%setup -q -n positional-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python} -m pytest positional/tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest positional/tests
%endif
%endif

%if %{with doc}
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.rst
%{py_sitescriptdir}/positional
%{py_sitescriptdir}/positional-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-positional
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.rst
%{py3_sitescriptdir}/positional
%{py3_sitescriptdir}/positional-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/build/html/{_static,api,*.html,*.js}
%endif
%changelog
* Tue Jun 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-positional.git;a=log;h=master

* Wed Jun 04 2025 Jan Rękorajski <baggins@pld-linux.org> 0d0ba0e
- rel 10, reenabled python3 as there is no new version

* Tue Jun 03 2025 Jan Rękorajski <baggins@pld-linux.org> fe75727
- rel 9, disable python3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> e1e1ab1
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 83e54a4
- python 3.13 rebuild

* Sun Feb 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 5ac2c0b
- added tests dependencies, build apidocs; release 6

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 13d2bbc
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> d0234d8
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 5946e9a
- rebuild with python 3.10

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 215d3ca
- release 2 (by relup.sh)

* Tue Nov 05 2019 Jan Rękorajski <baggins@pld-linux.org> 2031a80
- up to 1.2.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 9b55faa
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 824953d
- release 2 (by relup.sh)

* Tue Aug 01 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> fab2a20
- new package

